Ionic lib update failing


#1

Hi,

I am unable to run an “ionic lib update”. I’ve done it successfully in the past. Any advise would be greatly appreciated. Thanks Gary.

$ ionic lib update
  bower     ENOTINS Package ionic is not installed   ** I GET THIS ERROR **

$ ionic lib 
    Local Ionic version: 1.0.1  (/Projects/Gravme/code/trunk/ionic/www/lib/ionic/bower.json)
    Latest Ionic version: 1.1.0  (released 2015-08-13)
     * Local version is out of date

$ionic info

Your system information:

Cordova CLI: 5.1.1
Ionic Version: 1.0.1
Ionic CLI Version: 1.6.4
Ionic App Lib Version: 0.3.8
ios-deploy version: 1.7.0 
ios-sim version: 3.1.1 
OS: Mac OS X Yosemite
Node Version: v0.12.0
Xcode version: Xcode 6.4 Build version 6E35b 

$cat bower.json 
{
  "name": "ionic",
  "private": "true",
  "devDependencies": {
    "ionic": "driftyco/ionic-bower#1.0.1"
  }

#2

Found a solution:

$rm -fr www/lib
$ionic lib update